Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005640TestLinkGeneralpublic2013-04-15 09:242013-09-08 17:55
Reportermkvetko 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.8 (2013 Q3 - bug fixing) 
Summary0005640: Popup for not saved changes is not shown if using CKEDITOR
DescriptionPopup message preventing loosing unsaved changes in editors is not shown in case TestLink is set to use CKEDITOR (Default in 1.9.6 instalation) instead of FCKEditor
Steps To Reproduce1) Set CKEDITOR for Testlink
2) Edit any TestCase (Summary field etc.)
3) Click Somewhere else or refresh page

Expected Result:
Popup message informing about unsaved changes is shown

Current result:
Popup message informing about unsaved changes is not shown and changes are lost
Additional InformationI have add check for dirty flag into checkmodified.js. Feel free to reuse attached code. I have tested attached script on my 1.9.7 wih Q22013 changes and it works fine.
Please note that I have add only CKEDITOR support so now it works with CKEDITOR and FCKEditor. I suppose that other supported editors should be add in a future release.
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres
BrowserAny
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files? file icon checkmodified.js [^] (1,944 bytes) 2013-04-15 09:24

- Relationships
has duplicate 0005754closedfman no warning when leaving edited page without saving 
child of 0005731closedfman Availables hot-fixes for 1.9.7 & How To get full fixed package from gitorious 

-  Notes
(0018690)
fman (administrator)
2013-04-15 10:28

Thanks, we will check
(0018756)
medienwolf (reporter)
2013-04-23 17:36

Checked it out - it works for internet explorer, however not for Chrome.

Try with the steps - i.e. modify step one then click on step 2. Still no popup.
(0018761)
mkvetko (reporter)
2013-04-24 13:03

Thanks for info, I'm not using Chrome, but my colleagues do. Now it works for us even in Chrome I've fixed that by following code, but I'm not web developer and I can imagine that there can be cleaner way how to do that :-)

Snippet:
function doBeforeUnload()
{
    ...

    if(window.event)
    {
        window.event.returnValue = unload_msg; // IE
        return unload_msg; //Chrome
    }

        ...
}
(0018766)
medienwolf (reporter)
2013-04-24 18:09

Retried with your fix.
Still doesn't work for me in Chrome [latest version]. It looks to me as if Chrome even doesn't enter the checkmodified.js file. [window.alert does not pop up for Chrome).

Did you do any specific configruation in Chrome (e.g. settings?)
(0018770)
mkvetko (reporter)
2013-04-25 07:46

For me it works with latest Chrome. Did you clean browser's cache? Maybe the previous version of the script is cached
(0018777)
medienwolf (reporter)
2013-04-25 21:11

Ok, cleared our the cache and it now also works in Chrome. Thanks for the recommendation.

Hans-Joerg
(0019564)
fman (administrator)
2013-09-08 17:55

1.9.8 released

- Issue History
Date Modified Username Field Change
2013-04-15 09:24 mkvetko New Issue
2013-04-15 09:24 mkvetko File Added: checkmodified.js
2013-04-15 10:28 fman Note Added: 0018690
2013-04-23 17:36 medienwolf Note Added: 0018756
2013-04-24 13:03 mkvetko Note Added: 0018761
2013-04-24 18:09 medienwolf Note Added: 0018766
2013-04-25 07:46 mkvetko Note Added: 0018770
2013-04-25 21:11 medienwolf Note Added: 0018777
2013-05-26 18:29 fman Assigned To => fman
2013-05-26 18:29 fman Status new => assigned
2013-05-26 18:29 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-05-26 18:29 fman Fixed in Version => 1.9.8 (2013 Q3 - bug fixing)
2013-05-26 18:29 fman Relationship added child of 0005731
2013-05-31 21:22 fman Relationship added has duplicate 0005754
2013-05-31 21:23 fman Status assigned => resolved
2013-05-31 21:23 fman Resolution open => fixed
2013-09-08 17:55 fman Note Added: 0019564
2013-09-08 17:55 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker